import { CommandContribution, CommandRegistry, Command, MenuContribution, MenuModelRegistry } from '@wiptheia/core/lib/common';
import { EditorManager } from "@wiptheia/editor/lib/browser";
import { KeybindingContribution, KeybindingRegistry } from "@wiptheia/core/lib/browser";
import { Workspace } from "@wiptheia/languages/lib/common";
import { JavaClientContribution } from "./java-client-contribution";
/**
 * Show Java references
 */
export declare const SHOW_JAVA_REFERENCES: Command;
/**
 * Apply Workspace Edit
 */
export declare const APPLY_WORKSPACE_EDIT: Command;
/**
 * Organize Imports
 */
export declare const JAVA_ORGANIZE_IMPORTS: Command;
export declare class JavaCommandContribution implements CommandContribution, MenuContribution, KeybindingContribution {
    protected readonly workspace: Workspace;
    protected readonly editorManager: EditorManager;
    protected readonly javaClientContribution: JavaClientContribution;
    registerCommands(commands: CommandRegistry): void;
    registerMenus(menus: MenuModelRegistry): void;
    registerKeybindings(keybindings: KeybindingRegistry): void;
}
